Publicité

Affichage des résultats du sondage: Quelle version de Java utilisez vous principalement ?

Votants
179. Vous ne pouvez pas participer à ce sondage.
  • Java SE 8

    1 0,56%
  • Java SE 7

    30 16,76%
  • Java SE 6

    127 70,95%
  • Java SE 5

    15 8,38%
  • J2SE 1.4

    6 3,35%
  • J2SE 1.3 et antérieures

    0 0%
+ Répondre à la discussion Actualité déjà publiée
Page 3 sur 3 PremièrePremière 123
Affichage des résultats 41 à 54 sur 54
  1. #41
    Membre régulier Avatar de nounouuuuu201186
    Femme Profil pro
    Stagiaire
    Inscrit en
    juillet 2011
    Messages
    169
    Détails du profil
    Informations personnelles :
    Sexe : Femme
    Localisation : Tunisie

    Informations professionnelles :
    Activité : Stagiaire
    Secteur : High Tech - Multimédia et Internet

    Informations forums :
    Inscription : juillet 2011
    Messages : 169
    Points : 74
    Points
    74

    Par défaut

    Java 6 car il est installé par défaut sur ma machine

  2. #42
    Invité régulier
    Inscrit en
    octobre 2005
    Messages
    4
    Détails du profil
    Informations forums :
    Inscription : octobre 2005
    Messages : 4
    Points : 5
    Points
    5

    Par défaut Et l'éditeur ?

    Pour ma part, j'utilise essentiellement la JVM de Sun. v7 quand c'est possible (sur Eclipse). Sinon la v6 (indispensable par exemple avec certains produits Oracle car j'ai rencontré des problèmes de compatibilité avec la v7, notamment autour de produits connexes à Oracle Fusion Middleware).

    Sinon, à mon sens, la question intéressante aurait plutôt été quelle JVM utilise t'on (IBM, Oracle JRootKit, Sun JavaSE ...) et quelles différences entre ces JVM ?

    Sinon, bravo à ceux qui ont répondu Java SE v8 ... produit qui n'existe pas encore !

  3. #43
    Membre du Club
    Développeur informatique
    Inscrit en
    mars 2009
    Messages
    54
    Détails du profil
    Informations professionnelles :
    Activité : Développeur informatique

    Informations forums :
    Inscription : mars 2009
    Messages : 54
    Points : 45
    Points
    45

    Par défaut

    Je remarque que lorsqu'un développeur doit coder des plugins pour un conteneur, il est confiné à la version utilisée par ce conteneur, sauf s'il - bien entendu - livre la dernière version de Java avec son plugin (beurk).

    Utiliser la dernière version n'est pas selon moi obligatoire pour les nouveaux projets, cela propose cependant de nouvelles possibilités ET cela permet de se mettre à jour dans un monde Java en constante évolution. Cela n'est pas sans danger cependant.

    Pour ma part j'utilise toujours la 1.6, le prochain projet su lequel je planche se fera sous la 1.7 et il est prévu de faire évoluer un ancien projet sous la 1.7 après l'avoir porté sous la dernière 1.6.

  4. #44
    Membre chevronné Avatar de JoeChip
    Inscrit en
    septembre 2008
    Messages
    538
    Détails du profil
    Informations forums :
    Inscription : septembre 2008
    Messages : 538
    Points : 749
    Points
    749

    Par défaut

    Pratiquement, je ne vois pas trop l'intérêt de passer à 1.7, comme il est dit plus haut, il n'y a rien de bien révolutionnaire ; c'est sûr que c'est censé être rétrocompatible, mais les bugs sont-ils les mêmes ?

    Je pense attendre au moins 1.8, et encore, s'il y a vraiment des trucs qui m'intéressent ; sinon il faut que tous les utilisateurs changent de version, etc... Autant attendre que ça se fasse plus ou moins tout seul... Et même quand je passerai à 1.8, ce sera pas mal de temps après sa sortie, histoire de ne pas avoir à essuyer les plâtres...
    Sans danger si utilisé conformément au mode d'emploi.

    (anciennement BenWillard, enfin moins anciennement que ... enfin bon c'est une longue histoire... Un genre de voyage dans le temps...)

  5. #45
    Membre actif
    Homme Profil pro
    Conseil - Consultant en systèmes d'information
    Inscrit en
    août 2005
    Messages
    85
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Conseil - Consultant en systèmes d'information
    Secteur : Finance

    Informations forums :
    Inscription : août 2005
    Messages : 85
    Points : 158
    Points
    158

    Par défaut

    Hello,

    Dans ma mission actuelle, nous utilisons Java 7
    Et pour mes projets personnels également Java 7

    Awane
    Si mon message t'a aidé, un petit ne fera pas de mal
    Pensez aussi à

  6. #46
    Rédacteur
    Avatar de CyaNnOrangehead
    Homme Profil pro Yann Caron
    Ingénieur développement logiciels
    Inscrit en
    mai 2008
    Messages
    737
    Détails du profil
    Informations personnelles :
    Nom : Homme Yann Caron
    Âge : 35
    Localisation : France, Haute Savoie (Rhône Alpes)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : mai 2008
    Messages : 737
    Points : 1 115
    Points
    1 115

    Par défaut

    jdk6 au boulot et sur Android
    jdk8 pour faire joujou ;-)
    Retrouvez tous mes tutoriels : http://caron-yann.developpez.com/

    Et mon projet en cours : Algoid - programming language

  7. #47
    Futur Membre du Club
    Inscrit en
    mars 2005
    Messages
    64
    Détails du profil
    Informations forums :
    Inscription : mars 2005
    Messages : 64
    Points : 19
    Points
    19

    Par défaut

    Hello,

    Dois-je passer de jdk 1.6 à 1.7?
    en effet, en cherchant sur le web, j'ai trouver que jdk 1.7 pose des problèmes de sécurité, est ce que c'est confirmé
    Sur mon ordi, j'ai jdk1.6.0_11, JRE 6.

    Est ce que c'est utile de passer à jdk 7, sachant que je débute en java?

    Merci pour votre réponse

  8. #48
    Rédacteur
    Avatar de CyaNnOrangehead
    Homme Profil pro Yann Caron
    Ingénieur développement logiciels
    Inscrit en
    mai 2008
    Messages
    737
    Détails du profil
    Informations personnelles :
    Nom : Homme Yann Caron
    Âge : 35
    Localisation : France, Haute Savoie (Rhône Alpes)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : mai 2008
    Messages : 737
    Points : 1 115
    Points
    1 115

    Par défaut

    Citation Envoyé par chevy Voir le message
    Hello,

    Dois-je passer de jdk 1.6 à 1.7?
    en effet, en cherchant sur le web, j'ai trouver que jdk 1.7 pose des problèmes de sécurité, est ce que c'est confirmé
    Sur mon ordi, j'ai jdk1.6.0_11, JRE 6.

    Est ce que c'est utile de passer à jdk 7, sachant que je débute en java?

    Merci pour votre réponse
    Posons la question autrement. Doit tu développer une application de haute criticité ? Dans un environnement très exposé ?
    Retrouvez tous mes tutoriels : http://caron-yann.developpez.com/

    Et mon projet en cours : Algoid - programming language

  9. #49
    Responsable Eclipse et JAVA

    Avatar de Mickael Baron
    Homme Profil pro Mickael BARON
    Ingénieur de Recherche en Informatique
    Inscrit en
    juillet 2005
    Messages
    7 088
    Détails du profil
    Informations personnelles :
    Nom : Homme Mickael BARON
    Localisation : France, Vienne (Poitou Charente)

    Informations professionnelles :
    Activité : Ingénieur de Recherche en Informatique
    Secteur : Service public

    Informations forums :
    Inscription : juillet 2005
    Messages : 7 088
    Points : 37 593
    Points
    37 593

    Par défaut

    Bonjour,

    De toute façon, la version 6 et 7 sont toutes les deux maintenues par Oracle. Tant que c'est le cas le risque 0 n'existe pas.

    Ensuite si c'est pour un usage personnel et que tu n'as pas d'existant ne te prend pas la tête, choisit la 7.

    Mickael
    Ingénieur de Recherche en informatique au LIAS / ENSMA
    Responsable des rubriques Eclipse et Java de Developpez.com

    Page de cours : mbaron.developpez.com
    Blog : keulkeul.blogspot.com
    Page Pro : www.lias-lab.fr/members/mickaelbaron
    LinkedIn : www.linkedin.com/in/mbaron
    Twitter : www.twitter.com/mickaelbaron

  10. #50
    Expert Confirmé Sénior
    Avatar de _skip
    Homme Profil pro
    Développeur d'applications
    Inscrit en
    novembre 2005
    Messages
    2 720
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 31
    Localisation : Suisse

    Informations professionnelles :
    Activité : Développeur d'applications
    Secteur : High Tech - Produits et services télécom et Internet

    Informations forums :
    Inscription : novembre 2005
    Messages : 2 720
    Points : 6 875
    Points
    6 875

    Par défaut

    Citation Envoyé par Mickael Baron Voir le message
    De toute façon, la version 6 et 7 sont toutes les deux maintenues par Oracle. Tant que c'est le cas le risque 0 n'existe pas.
    Ce n'est pas exact...
    La version 6 est officiellement EOL depuis un certain temps déjà :
    http://www.oracle.com/technetwork/ja...public-updates

    Je crois que c'est fini les versions de java qui durent 10 ans...

  11. #51
    Responsable Eclipse et JAVA

    Avatar de Mickael Baron
    Homme Profil pro Mickael BARON
    Ingénieur de Recherche en Informatique
    Inscrit en
    juillet 2005
    Messages
    7 088
    Détails du profil
    Informations personnelles :
    Nom : Homme Mickael BARON
    Localisation : France, Vienne (Poitou Charente)

    Informations professionnelles :
    Activité : Ingénieur de Recherche en Informatique
    Secteur : Service public

    Informations forums :
    Inscription : juillet 2005
    Messages : 7 088
    Points : 37 593
    Points
    37 593

    Par défaut

    Ok autant pour moi.

    Merci

    Mickael
    Ingénieur de Recherche en informatique au LIAS / ENSMA
    Responsable des rubriques Eclipse et Java de Developpez.com

    Page de cours : mbaron.developpez.com
    Blog : keulkeul.blogspot.com
    Page Pro : www.lias-lab.fr/members/mickaelbaron
    LinkedIn : www.linkedin.com/in/mbaron
    Twitter : www.twitter.com/mickaelbaron

  12. #52
    Futur Membre du Club
    Inscrit en
    mars 2005
    Messages
    64
    Détails du profil
    Informations forums :
    Inscription : mars 2005
    Messages : 64
    Points : 19
    Points
    19

    Par défaut

    Hello,

    Merci Skip pour votre réponse.
    En effet selon oracle, il faut avoir la version récente de java, depuis que oracle a repris la main sur java il y a des bizarreries.
    Je reste sur la 6 pour l'instant puis je passerai à la 7.
    Java SE 6 End of Public Updates Notice

    After February 2013, Oracle will no longer post updates of Java SE 6 to its public download sites. Existing Java SE 6 downloads already posted as of February 2013 will remain accessible in the Java Archive on Oracle Technology Network. Developers and end-users are encouraged to update to more recent Java SE versions that remain available for public download. For enterprise customers, who need continued access to critical bug fixes and security fixes as well as general maintenance for Java SE 6 or older versions, long term support is available through Oracle Java SE Support .
    Merci pour vos réponses.

  13. #53
    Rédacteur
    Avatar de CyaNnOrangehead
    Homme Profil pro Yann Caron
    Ingénieur développement logiciels
    Inscrit en
    mai 2008
    Messages
    737
    Détails du profil
    Informations personnelles :
    Nom : Homme Yann Caron
    Âge : 35
    Localisation : France, Haute Savoie (Rhône Alpes)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : mai 2008
    Messages : 737
    Points : 1 115
    Points
    1 115

    Par défaut

    LE jdk 6 a l'avantage de fonctionner sur Android ;-)
    Retrouvez tous mes tutoriels : http://caron-yann.developpez.com/

    Et mon projet en cours : Algoid - programming language

  14. #54
    Expert Confirmé Sénior
    Avatar de _skip
    Homme Profil pro
    Développeur d'applications
    Inscrit en
    novembre 2005
    Messages
    2 720
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 31
    Localisation : Suisse

    Informations professionnelles :
    Activité : Développeur d'applications
    Secteur : High Tech - Produits et services télécom et Internet

    Informations forums :
    Inscription : novembre 2005
    Messages : 2 720
    Points : 6 875
    Points
    6 875

    Par défaut

    A ta décharge Mickael, la 6 marche tout à fait bien. J'ai une quinzaine de serveur encore sous 6 et ils n'ont pas de problèmes, j'ai été réticent à upgrader à 7 à cause du problème avec lucene au début, puis finalement je m'en suis passé. Je vais attendre la 8 pour upgrader, les nouveautés côté langage ne justifiaient pas vraiment de passer en 7 pour de la maintenance.

    Pour le moment y'a donc pas grand mal à tourner en 6, la majeure partie des librairies du net passent sous java 6.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •